Class HttpBasicAuth
java.lang.Object
de.xima.fc.api.rest.pub.client.security.auth.HttpBasicAuth
- All Implemented Interfaces:
Authentication
@Generated("de.xima.openapi.codegen.java_jaxrs.XimaJavaJaxrsGenerator")
public final class HttpBasicAuth
extends Object
implements Authentication
Applies HTTP basic authentication with a username and password to a request.
-
Constructor Summary
ConstructorsConstructorDescriptionHttpBasicAuth(String username, String password) A new authentication that uses a basic username and password. -
Method Summary
Modifier and TypeMethodDescriptionvoidapplyToParams(ApiCall<?> call) Apply authentication settings to header and query params.password()username()withPassword(String password) withUsername(String username)
-
Constructor Details
-
HttpBasicAuth
-
-
Method Details
-
username
- Returns:
- The username for the basic auth.
-
password
- Returns:
- The password for the basic auth.
-
applyToParams
Description copied from interface:AuthenticationApply authentication settings to header and query params.- Specified by:
applyToParamsin interfaceAuthentication- Parameters:
call- API call with all parameters that can be modified.
-
withUsername
- Parameters:
username- The username for the basic auth.- Returns:
- A new immutable instance with the new data.
-
withPassword
- Parameters:
password- The password for the basic auth.- Returns:
- A new immutable instance with the new data.
-